2019-12-09 05:21 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001613FSSCPFS2NetDpublic2008-10-04 22:59
ReporterShade 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001613: 3.6.10 Game counter in the lobby does not show when a game is started
DescriptionAs title. It stays 0 seemingly no matter how many games are running.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008944

Shade (developer)

Doesn't seem to be fixed in 03/06, though I've only been able to test it using two game instances run from the same IP as I haven't caught anyone else online yet.

~0008947

taylor (administrator)

The server logs are counting both game count requests and the reply, so it should be working. There could be something on the server side or the client side that is causing it not to work properly.

I'll start a server and leave it running for a few hours. I use a user of "NewBee" for when I test, and I'll make the game title be "Test for Shade". If it doesn't show up in the game count for #Eleh then let me know. I'm not going to actually be watching it though, so don't expect to actually play or chat or anything. :)

~0008949

Shade (developer)

Last edited: 2008-03-08 08:14

Noticed this a bit late, and it been impossible to get through since - I suspect we've hit the weekly forum backup, and so I can't get to the lobby since that's still hosted on GW.

~0008950

taylor (administrator)

I've got it running again on my end and it should be there for the next 4-5 hours at least, so give it another try.

~0008951

Shade (developer)

I'm on now, and the game count's at 0. Also, the server doesn't show up in the game list once I move on to that screen.

~0008971

taylor (administrator)

The game count thing looks to just be an error on my part. The chat channel is set for the active game server, but the problem was that I was sending the chat channel update *before* telling FS2NetD about the game server. So basically it just didn't have a server entry to update the chat channel with.

Should be fixed in the build later tonight, but double check me on that.

~0008976

Shade (developer)

No change with 3-14, except that logging into the chat lobby takes a lot longer now than before (20-second-ish wait).

~0008978

taylor (administrator)

After some testing and going over the debug logs it looks like it does actually work, but it's really flaky. I'll tweak it a bit to make sure the update always goes through and then it should work properly all the time.

~0009796

taylor (administrator)

Please try it with this build: http://icculus.org/~taylor/fso/testing/multi_test.rar

Note that it may take a couple of minutes for a game to actually register in the count though.

~0009806

taylor (administrator)

Just confirmed that this does in fact work for me know. If no one else can replicate the same result then please reopen this bug.


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-02-24 01:32 Shade New Issue
2008-02-24 01:32 Shade Status new => assigned
2008-02-24 01:32 Shade Assigned To => taylor
2008-03-07 21:00 Shade Note Added: 0008944
2008-03-07 22:07 taylor Note Added: 0008947
2008-03-08 07:38 Shade Note Added: 0008949
2008-03-08 08:14 Shade Note Edited: 0008949
2008-03-08 11:15 taylor Note Added: 0008950
2008-03-08 11:31 Shade Note Added: 0008951
2008-03-15 03:52 taylor Note Added: 0008971
2008-03-15 10:55 Shade Note Added: 0008976
2008-03-15 15:09 taylor Note Added: 0008978
2008-10-04 08:40 taylor Note Added: 0009796
2008-10-04 22:59 taylor Status assigned => resolved
2008-10-04 22:59 taylor Fixed in Version => 3.6.10
2008-10-04 22:59 taylor Resolution open => fixed
2008-10-04 22:59 taylor Note Added: 0009806
+Issue History